Inspect

Warm session

Pre-warm the sandboxed environment for a repository to reduce latency when creating a new session. Call this before creating a session if you want faster startup times.

Base URL
POST
/api/public/v1/sessions/warm

Pre-warm the sandboxed environment for a repository to reduce latency when creating a new session. Call this before creating a session if you want faster startup times.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Request Body

application/json
  1. body
repository*string

The repository to warm the environment for. Use "auto" to warm the most likely repository based on recent session history.

Length1 <= length
session_id?string

Optional session ID to associate with the warm request and reuse an existing sandbox context. The session must belong to the API key user or have been created by the API key user.

Response Body

Warm request accepted

application/json
  1. response
ok*true
Value intrue
Example Request
curl -X POST 'https://your-org.inspect.com/api/public/v1/sessions/warm' \  -H 'Content-Type: application/json' \  -d '{  "repository": "string"}'
Example Response
{  "ok": true}